package com.its.vms.xnettcp.vms.process.response;

import com.its.app.utils.NettyUtils;
import com.its.vms.config.CommunicationConfig;
import com.its.vms.entity.TbVmsCtlr;
import io.netty.channel.ChannelHandlerContext;
import lombok.extern.slf4j.Slf4j;

@Slf4j
public class SubscriptionResponse implements VmsResponse {
    private TbVmsCtlr obj;
    private ChannelHandlerContext ctx;

    @Override
    public boolean response(CommunicationConfig communicationConfig) {
        String ipAddress = NettyUtils.getRemoteIpAddress(this.ctx.channel());
        log.debug("SubscriptionResponse.response: {}", ipAddress);


        return true;
    }

}
